Skip to main content
`Ctrl`+`K`

# KSPConvergenceTestFn

A prototype of a function used with `KSPSetConvergenceTest()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode KSPConvergenceTestFn(KSP ksp, PetscInt it, PetscReal rnorm, KSPConvergedReason *reason, void *ctx);

## Calling Sequence

- ksp - iterative solver obtained from `KSPCreate()`

- it - iteration number

- rnorm - (estimated) 2-norm of (preconditioned) residual

- reason - the reason why it has converged or diverged

- ctx - optional convergence context, as set by `KSPSetConvergenceTest()`

## See Also

KSP: Linear System Solvers, `KSP`, `KSPSetConvergenceTest()`, `KSPGetConvergenceTest()`

## Level

beginner

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages